Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions
Lucene::DocConsumer Class Referenceabstract

`#include <DocConsumer.h>`

Inheritance diagram for Lucene::DocConsumer:

## Public Member Functions

virtual | ~DocConsumer ()
virtual String | getClassName ()
boost::shared_ptr< DocConsumer > | shared_from_this ()
virtual DocConsumerPerThreadPtr | addThread (const DocumentsWriterThreadStatePtr &perThread)=0
virtual void | flush (Collection< DocConsumerPerThreadPtr > threads, const SegmentWriteStatePtr &state)=0
virtual void | closeDocStore (const SegmentWriteStatePtr &state)=0
virtual void | abort ()=0
virtual bool | freeRAM ()=0
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ ~DocConsumer()

virtual Lucene::DocConsumer::~DocConsumer | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::DocConsumer::_getClassName | ( |  | ) |

inline static

## ◆ abort()

virtual void Lucene::DocConsumer::abort | ( |  | ) |

pure virtual

Implemented in Lucene::DocFieldProcessor.

## ◆ addThread()

virtual DocConsumerPerThreadPtr Lucene::DocConsumer::addThread | ( | const DocumentsWriterThreadStatePtr & | perThread | ) |

pure virtual

Implemented in Lucene::DocFieldProcessor.

## ◆ closeDocStore()

virtual void Lucene::DocConsumer::closeDocStore | ( | const SegmentWriteStatePtr & | state | ) |

pure virtual

Implemented in Lucene::DocFieldProcessor.

## ◆ flush()

virtual void Lucene::DocConsumer::flush | ( | Collection< DocConsumerPerThreadPtr > | threads,
|  | const SegmentWriteStatePtr & | state
| ) |  |

pure virtual

Implemented in Lucene::DocFieldProcessor.

## ◆ freeRAM()

virtual bool Lucene::DocConsumer::freeRAM | ( |  | ) |

pure virtual

Implemented in Lucene::DocFieldProcessor.

## ◆ getClassName()

virtual String Lucene::DocConsumer::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::DocFieldProcessor.

## ◆ shared_from_this()

boost::shared_ptr< DocConsumer > Lucene::DocConsumer::shared_from_this | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- DocConsumer.h

clucene.sourceforge.net